import { HttpException, HttpStatus } from '@nestjs/common';
import { AreasSociales } from './areas-sociales.entity';
import { Repository } from 'typeorm';
import { CreateAreasSocialesDto } from './dto/create-areas-sociales.dto';
import { UpdateAreasSocialesDto } from './dto/update-areas-sociales.dto';
export declare class AreasSocialesService {
    private areasSocialesRepository;
    constructor(areasSocialesRepository: Repository<AreasSociales>);
    getDataSinInmueble(inmueble_id: number): Promise<{
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        icono_svg: string;
        deleted_at: Date;
        inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
    }[]>;
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        icono_svg: string;
        deleted_at: Date;
        inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        icono_svg: string;
        deleted_at: Date;
        inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    createData(areasSociales: CreateAreasSocialesDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, areasSociales: UpdateAreasSocialesDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: any;
            nombre: string;
            icono_svg: string;
            deleted_at: any;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
